package org.amse.asves.skinCreator.model.impl;

import org.amse.asves.skinCreator.exceptions.InvalidFile;
import org.amse.asves.skinCreator.model.IProject;
import org.amse.asves.skinCreator.model.ISkin;

/**
 *  
 *       
 * @see org.amse.asves.skinCreator.model.IProject
 * @author 
 *
 */
public final class Project implements IProject {

	private ISkin mySkin;
	
	public Project(ISkin skin){
		mySkin = skin;
	}
	
	public Project(){
		mySkin = null;
	}
	
	public void open(ISkin skin) throws InvalidFile{
		mySkin = skin;
		skin.initialize();
	}
	
	public ISkin getSkin(){
		return mySkin;
	}
}
