package org.amse.asves.skinCreator.view;

import java.util.HashMap;

import org.amse.asves.skinCreator.model.Options;
import org.amse.asves.skinCreator.model.Rectangle;
import org.amse.asves.skinCreator.model.WidgetName;

/**
 *  
 * @author 
 *
 */
class WindowActivityChanger {
	
	/**
	 *     -    
	 *    
	 */
	static void changePlaylistActivity(HashMap<Rectangle, WidgetName> map,
			boolean myPlaylistIsActive){
		WidgetName name;
		for (Rectangle rect : map.keySet()){
			name = map.get(rect);
			if (PreviewManager.isClickedOnPlaylistTitleBar(
					rect.getCenterX() + Options.PREVIEW_BAR_X, 
					rect.getCenterY() + Options.PREVIEW_BAR_Y) || 
				(name == WidgetName.PL_RIGHT_UPPER_CORNER) || 
				(name == WidgetName.PL_RIGHT_UPPER_CORNER_INACTIVE)){
				map.put(rect, name.getNextStateOfButton());
			} 
		}
		myPlaylistIsActive = !myPlaylistIsActive;
	}
	
	/**
	 *      
	 *        
	 */
	static void changePlaylistShadeActivity(HashMap<Rectangle, WidgetName> map,
			boolean myPlaylistShadeIsActive){
		WidgetName name;
		for (Rectangle rect : map.keySet()){
			name = map.get(rect);
			if ((name == WidgetName.PL_SHADE_RIGHT_INACTIVE) || 
				(name == WidgetName.PL_SHADE_RIGHT)){
				map.put(rect, name.getNextStateOfButton());
			} 
		}
		myPlaylistShadeIsActive = !myPlaylistShadeIsActive;
	}
	
	/**
	 *     
	 *        
	 */
	static void changeEqualizerActivity(HashMap<Rectangle, WidgetName> map,
			boolean myEqualizerIsActive){
		WidgetName name;
		for (Rectangle rect : map.keySet()){
			name = map.get(rect);
			if ((PreviewManager.isClickedOnEqualizerTitleBar(
					rect.getCenterX() + Options.PREVIEW_BAR_X, 
					rect.getCenterY() + Options.PREVIEW_BAR_Y))){
				map.put(rect, name.getNextStateOfButton());
			} 
		}
		myEqualizerIsActive = !myEqualizerIsActive;
	}
	
	/**
	 *     
	 *        
	 */
	static void changeEqualizerShadeActivity(HashMap<Rectangle, WidgetName> map,
			boolean myEqualizerShadeIsActive){
		WidgetName name;
		for (Rectangle rect : map.keySet()){
			name = map.get(rect);
			if ((name == WidgetName.EQ_TITLEBAR_SHADE_INACTIVE) || 
				(name == WidgetName.EQ_TITLEBAR_SHADE)){
				map.put(rect, name.getNextStateOfButton());
			} 
		}
		myEqualizerShadeIsActive = !myEqualizerShadeIsActive;
	}
}
