package org.amse.asves.skinCreator.model;

/**
 *  
 *       java.awt 
 *       
 * @author 
 *
 */
public final class Rectangle {
	
	/**
	 *      -  
	 */
	private int myAx;
	private int myAy;
	private int myBx;
	private int myBy;
	
	/**
	 *      
	 *
	 */
	public Rectangle(){
		myAx = 0;
		myAy = 0;
		myBx = 0;
		myBy = 0;
	}
	
	/**
	 *   
	 *
	 */
	public Rectangle(int a, int b, int c, int d){
		myAx = a;
		myAy = b;
		myBx = c;
		myBy = d;
	}
	
	/**
	 *  .
	 * @return
	 */
	public int getCenterX(){
		int tmp = ((myBx + myAx)/2);
		return tmp * Integer.signum(tmp);
	}
	public int getCenterY(){
		int tmp = ((myBy + myAy)/2);
		return tmp * Integer.signum(tmp);
	}
	
	/**
	 * 
	 * @param a
	 * @return
	 */
	public int AX(){
		return myAx;
	}
	public int AY(){
		return myAy;
	}
	public int BX(){
		return myBx;
	}
	public int BY(){
		return myBy;
	}
	
	/**
	 * @return  
	 */
	public int area(){
		int tmp = ((myBx - myAx) * (myBy - myAy));
		return tmp * Integer.signum(tmp);
	}
	
	/**
	 * @param x
	 * @param y
	 * @return    (,) 
	 */
	public boolean contains(int x, int y){
		boolean tmp = true;
		if (myAx > myBx) {
			tmp = tmp && (x <= myAx) && (x >= myBx);
		} else {
			tmp = tmp && (x <= myBx) && (x >= myAx);
		}
		if (myAy > myBy) {
			tmp = tmp && (y <= myAy) && (y >= myBy);
		} else {
			tmp = tmp && (y <= myBy) && (y >= myAy);
		}
		return tmp;
	}
	
	/**
	 *  toString  
	 */
	public String toString(){
		return "" + myAx + ", " + myAy + ", " + myBx + ", " + myBy;
	}
	
}
