package org.amse.asves.skinCreator.writer;

import java.io.*;


import org.amse.asves.skinCreator.Constants;
import org.amse.asves.skinCreator.model.PleditParameterName;
import org.amse.asves.skinCreator.model.ISkin;

/**
 *      pledit.txt
 * @see org.amse.asves.skinCreator.writer.TxtFileContentManager;
 * @author 
 *
 */
final class PleditWriter extends TxtFileContentManager{
	
	public void setContent(ISkin skin, PrintWriter printWriter){
		
		printWriter.println("[Text]");
   		for (PleditParameterName name : PleditParameterName.getAllParameterNames()){
   			if (name == PleditParameterName.Font){
   				printWriter.println("" + name + "=" + skin.getFont());
   			}else{
   				printWriter.println("" + name + "=" + skin.getPleditColor(name).codeToHexadecimal());
   			}
   		}
   		printWriter.println("--");
   		printWriter.println("Successfully updated by Skin Creator " + Constants.VERSION);
      		
   		printWriter.close();
   		
	}
	
	public String getFileName(){
		return "pledit.txt";
	}
}
