package org.amse.asves.skinCreator.writer;

import java.io.PrintWriter;

import org.amse.asves.skinCreator.model.ISkin;
import org.amse.asves.skinCreator.Constants;

/**
 *      pledit.txt
 * @see org.amse.asves.skinCreator.writer.TxtFileContentManager;
 * @author 
 *
 */
final class ViscolorWriter extends TxtFileContentManager {

	@Override
	public void setContent(ISkin skin, PrintWriter printWriter) {
    	for (int i = 0; i <= 23; i++){
    		if (skin.getViscolorColor(i).isInitialized()){
    			printWriter.println(skin.getViscolorColor(i));
    		}else{
    			printWriter.println("0, 0, 0");
    		}
    	}
    	printWriter.println("--");
    	printWriter.println("Successfully updated by Skin Creator " + Constants.VERSION);
      	
		printWriter.close();
	}
	
	public String getFileName(){
		return "viscolor.txt";
	}

}
